[flake8]
extend-exclude = 
    skel/*.py
    skel/*/*.py
ignore = E131
max-line-length = 119
hang-closing = False

[isort]
known_first_party=hotpocket_backend,hotpocket_backend_testing,hotpocket_common,hotpocket_soa,hotpocket_testing,hotpocket_workspace_tools
multi_line_output=3
include_trailing_comma=true
force_sort_within_sections=true
line_length=80
use_parentheses=true
combine_as_imports=true
star_first=true

[mypy]

[mypy-dateutil.*]
ignore_missing_imports = true

[mypy-django.*]
ignore_missing_imports = true

[mypy-hotpocket_backend.*]
ignore_missing_imports = true
